- Qt 5.5
- Qt3D Module
- C++ Classes
- QSceneObserverInterface
- Qt 5.5.1 Reference Documentation

# QSceneObserverInterface Class

(Qt3D::QSceneObserverInterface)

Inherited By: | Qt3D::QAbstractAspect

- List of all members, including inherited members

## Public Functions

virtual | ~QSceneObserverInterface()
virtual void | sceneNodeAdded(QSceneChangePtr & e) = 0
virtual void | sceneNodeRemoved(QSceneChangePtr & e) = 0

## Member Function Documentation

### `[virtual]` QSceneObserverInterface::~QSceneObserverInterface()

### `[pure virtual]` void QSceneObserverInterface::sceneNodeAdded(QSceneChangePtr & e)

### `[pure virtual]` void QSceneObserverInterface::sceneNodeRemoved(QSceneChangePtr & e)